<?php

require_once "abstract.ilPluginControllerFormGUI.php";

/**
 * Class ilQuestionSetPoolPropertiesGUI
 *
 * Date: 01.10.13
 * Time: 09:56
 * @author Thomas Joußen <tjoussen@databay.de>
 */ 
class ilQuestionSetPoolPropertiesGUI extends ilPluginControllerFormGUI
{

	protected function initForm($model)
	{
		require_once "./Services/Form/classes/class.ilPropertyFormGUI.php";
		$this->form = new ilPropertyFormGUI();

		$title = new ilTextInputGUI($this->plugin->txt("title"), "title");
		$title->setRequired(true);

		$description = new ilTextAreaInputGUI($this->plugin->txt("description"), "description");
		$description->setRequired(false);

		$online = new ilCheckboxInputGUI($this->plugin->txt("online"), "online");

		$skill_service = new ilCheckboxInputGUI($this->plugin->txt("skill_service_setting"), "skill_service");
		$skill_service->setRequired(false);
		$skill_service->setInfo($this->plugin->txt('adm_enable_skmg_first'));
		global $ilSetting;
		$skill_setting_enabled = $ilSetting->_lookupValue('skmg','enable_skmg');
		if($skill_setting_enabled == false)
		{
			$skill_service->setChecked($skill_setting_enabled);
			$skill_service->setValue(0);
			$skill_service->setDisabled(true);
		}	
		else
		{
			$skill_service->setValue(1);
		}

		$this->form->addItem($title);
		$this->form->addItem($description);
		$this->form->addItem($online);
		$this->form->addItem($skill_service);
		$this->form->setTitle($this->plugin->txt("edit_properties"));
		$this->form->setFormAction($this->ctrl->getFormAction($this->controller));
		$this->form->addCommandButton("ilQuestionSetPoolPropertiesGUI.update", $this->plugin->txt("save"));
	}

	/**
	 * Returns the current tab name
	 * return string
	 */
	protected function getCurrentTab()
	{
		return "properties";
	}

	/**
	 * @return array
	 */
	protected function getRequirements()
	{
		array();
	}

	/**
	 * Loads and returns the Model for the controller gui
	 * @return ilPluginModelInterface
	 */
	protected function loadModel()
	{
		return $this->controller->object;
	}

	/**
	 * Get the redirect action after an update was successful
	 * @return string
	 */
	protected function getRedirectAfterUpdate()
	{

	}

	/**
	 * Get the redirect action after an update was successful
	 * @return string
	 */
	protected function getAfterUpdateRedirectCmd()
	{
	return "ilQuestionSetPoolPropertiesGUI.edit";
	}

	/**
	 * @param $model
	 *
	 * @return array
	 */
	protected function getAfterUpdateRedirectParams($model)
	{
		return array();
	}
}
