<?php

require_once "abstract.ilPluginModelList.php";

/**
 * Class ilQuestionSetPoolJumpConditionList
 *
 * Date: 05.12.13
 * Time: 10:16
 * @author Thomas Joußen <tjoussen@databay.de>
 */ 
class ilQuestionSetPoolJumpConditionList extends ilPluginModelList
{
	/**
	 * @var ilQuestionSetPoolNode
	 */
	protected $node;

	public function __construct($node)
	{
		$this->node = $node;

		parent::__construct();
	}


	/**
	 * @param array $params
	 * @param array $filter
	 *
	 * @return array
	 */
	public function loadData($params = array(), $filter = array())
	{
		require_once "./Customizing/global/plugins/Services/Repository/RepositoryObject/QuestionSetPool/classes/providers/class.ilQuestionSetPoolJumpConditionsProvider.php";

		$provider = new ilQuestionSetPoolJumpConditionsProvider();
		$filter["node_fi"] = $this->node->getId();
		$data = $provider->loadData($filter, $params);

		return $data;
	}

	/**
	 * @param array $data
	 *
	 * @return array
	 */
	public function createObjectsFromData($data)
	{
		return $data;
	}
}
 